#pragma once
#include <clippy/config.hpp>

#include <vector>
#include <filesystem>
#include <optional>

struct Project {
  std::strong_ordering operator<=>(const Project&) const = default;

  std::filesystem::path root_project;
  std::filesystem::path configuration_file;
};

class ProjectList {
 public:
  ProjectList() {}

  void LoadFrom(const std::string& path);

  const std::vector<Project>& GetProjects() const { return projects_; }

  std::optional<Project> GetCurrentProject();

 private:
  std::vector<Project> projects_;
};
